<?php
namespace inshok\project\controllers\admin;

use \inshok\project\controllers\interfaces\InterfaceProcess;
use \inshok\project\helpers\Html;


class DashboardController implements InterfaceProcess {

    
    use Html;

    private $uri;

    public function process(): void
    {

        $pagetitle = 'Dashboard';
        $pagename = 'dashboard';
        $message_return = null;

        $args = [
            'pathJS' => null,
            'message_return' => $message_return,
            'pagetitle' => $pagetitle,
        ];

        $path = $pagename . '.php';


        echo $this->render($path , $args , 'admin');


    }

    
    public function addURI( $URI ): void
    {
        $this->uri = $URI;
    }
 
}