<?php
namespace inshok\project\controllers\admin;

use \inshok\project\controllers\interfaces\InterfaceProcess;
use \inshok\project\helpers\Html;


class PropostasController implements InterfaceProcess {

    
    use Html;

    private $uri;

    public function process(): void
    {

        $pagetitle = 'Propostas';
        $pagename = $this->uri[1];
        $pagesufix = '';
        $pageid = '';
        $pagetemplate = 'admin';
        
        $message_return = null;

        if( isset($this->uri[2]) ) {
            $pagesufix = '-' . $this->uri[2];
        }

        if( isset($this->uri[3]) ) {
            $pageid = $this->uri[3];
        }


        $args = [
            'pathJS' => null,
            'message_return' => $message_return,
            'pagetitle' => $pagetitle,
            'pageid' => $pageid,
        ];

        $path = $pagename . $pagesufix . '.php';


        echo $this->render($path , $args , $pagetemplate);

    }

    public function addURI( $URI ): void
    {
        $this->uri = $URI;
    }
 
}