import { SchedulingModel } from "../Model/SchedulingModel.js";
import { SchedulingView } from "../View/SchedulingView.js"


export class SchedulingController
{
    constructor()
    {

    }

    load( loadPath )
    {

        const scheduling_model = new SchedulingModel();
        const scheduling_data = scheduling_model.loadData( loadPath );

        return scheduling_data.then (
            data => {
                return data.json();
            }
        ).then (
            json => {
                const _json = json[0];
                const scheduling_view = new SchedulingView();
                return scheduling_view.render( _json );
            }
        );
    }
}