
<?php
// Ponto de entrada da aplicação
require __DIR__ . '/../vendor/autoload.php';


// url
if( array_key_exists( 'PATH_INFO' , $_SERVER ) ) {
    $path_array = explode( '/' , $_SERVER['PATH_INFO'] );
    $path = $path_array[1];
}

$routes = require __DIR__ . '/../app/router/router.php';

if( !empty( $path ) ) {

    $uri = $path_array;
    
    if( !array_key_exists( $path , $routes)) {
    
        http_response_code(404);
        exit();

    }

} else {

    $path = 'dashboard';

}



// Inicia a sessão
// session_start();


// Inicia o controle de carregamento das páginas
$classController = $routes[$path];
$controller = new $classController();

if( isset( $uri ) ) $controller->addURI( $path_array );
$controller->process( $path );





