<?php
namespace inshok\project\controllers\admin;

use \inshok\project\controllers\interfaces\InterfaceProcess;
use \inshok\project\helpers\Html;


class LoginController implements InterfaceProcess {

    
    use Html;

    private $uri;

    public function process(): void
    {

        $pagename = 'login';
        $message_return = null;

        $args = [
            'pathJS' => $pagename . '.js',
            'message_return' => $message_return,
        ];

        $path = $pagename . '.php';


        echo $this->render($path , $args , 'basic');


    }


    public function addURI( $URI ): void
    {
        $this->uri = $URI;
    }
 
}