<?php 
namespace inshok\admin\database;

use inshok\admin\database\ConnectionCreator;


use PDO;

class PdoLogin 
{

    public function __construct()
    {
        
        $this->connection = ConnectionCreator::createConnection();

    }

    public function verify( $email ) 
    {


        $sqlInstruction = 'CALL P_VerifyLogin( :usercontact_email )';
        $statement = $this->connection->prepare($sqlInstruction);
        $statement->bindValue(':usercontact_email', $email , PDO::PARAM_STR);
        $statement->execute();
        
        $data = $statement->fetch(PDO::FETCH_ASSOC);

        return $data;
    }
    

}




// P_VerifyLogin