<?php 
namespace inshok\admin\database;

use inshok\admin\database\ConnectionCreator;


use PDO;

class PdoMessage 
{

    public function __construct()
    {
        
        $this->connection = ConnectionCreator::createConnection();

    }

    public function list( $clinic_id ) 
    {
        $sqlInstruction = 'CALL P_MessageList( :clinic_id  )';
        $statement = $this->connection->prepare($sqlInstruction);
        $statement->bindValue(':clinic_id', $clinic_id , PDO::PARAM_INT);
        $statement->execute();
        
        $data = $statement->fetch(PDO::FETCH_ASSOC);

        return $data;

        
    }

    public function save( $post_vars )
    {


        $sqlInstruction = 'CALL P_MessageUpdate( :clinic_id, :messages_text )';
        $statement = $this->connection->prepare($sqlInstruction);
        $statement->bindValue(':clinic_id', $post_vars['clinic_id'] , PDO::PARAM_INT);
        $statement->bindValue(':messages_text', $post_vars['messages_text'] , PDO::PARAM_STR);
        $statement->execute();
        
        $data = $statement->fetch(PDO::FETCH_ASSOC);

        return $data;
        
    }

}


