<?php require __DIR__ . '/../../components/admin/default/header/header.php'; ?>


	<body class="hold-transition sidebar-mini">
		<div class="wrapper">


		<?php require __DIR__ . '/../../components/admin/navbar/navbar.php'; ?>
		<?php require __DIR__ . '/../../components/admin/sidebar/sidebar.php'; ?>

		
		<!-- Content Wrapper. Contains page content -->
		<div class="content-wrapper">
			
			<!-- Content Header (Page header) -->
			<div class="content-header">
				<div class="container-fluid">
					<div class="row mb-2">
						<div class="col-sm-6">
							<h1 class="m-0">Lista de unidades Sua Espera</h1>
						</div><!-- /.col -->
						
					</div><!-- /.row -->
				</div><!-- /.container-fluid -->
			</div>
			<!-- /.content-header -->

		
			<section class="content">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-12">
                        <!-- Default box -->
                            <div class="card">
                                <div class="card-header">
                                    <h3 class="card-title">
                                        
                                    </h3>
                                    <div class="card-tools">
                                        <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
                                            <i class="fas fa-minus"></i>
                                        </button>
                                        <button type="button" class="btn btn-tool" data-card-widget="remove" title="Remove">
                                            <i class="fas fa-times"></i>
                                        </button>
                                    </div>
                                </div>

                                <div class="card-body">

                                    <?php if( isset($message_return) ): ?>
                                        <div class="alert alert-success m-3" role="alert"><?= $message_return ?></div>
                                    <?php endif; ?>


                                    <?php if(isset($clinic_list)): ?>
                                        <table class="table table-striped projects">
                                            <thead>
                                                <tr>
                                                    <th style="width: 1%">#</th>
                                                    <th style="width: 35%">Nome da unidade</th>
                                                    <th style="width: 17%">Whatsapp</th>
                                                    <th style="width: 47%"></th>
                                                </tr>
                                            </thead>
                                            <tbody>

                                                <?php foreach($clinic_list as $clinic_item): ?>
                                                    <tr>
                                                        <td>#</td>
                                                        <td><?= $clinic_item['clinic_name'] ?></td>
                                                        <td><?= $clinic_item['cliniccontact_cel1'] ?></td>
                                                        <td class="project-actions text-right">
                                                            
                                                            <a class="btn btn-info btn-sm" href="/alterar-mensagem?action=update&id=<?= $clinic_item['clinic_id'] ?>">
                                                                <i class="fas fa-comment-dots"></i> Mensagem principal para o paciente
                                                            </a>
                                                            <a class="btn btn-info btn-sm" href="/cadastrar-contatos?action=update&id=<?= $clinic_item['clinic_id'] ?>" data-toggle="tooltip" data-placement="top" title="Contatos">
                                                                <i class="fas fa-id-card"></i>
                                                            </a>
                                                            <a class="btn btn-info btn-sm" href="/cadastrar-endereco?action=update&id=<?= $clinic_item['clinic_id'] ?>" data-toggle="tooltip" data-placement="top" title="Endereço">
                                                                <i class="fas fa-map-marked-alt"></i>
                                                            </a>
                                                            <a class="btn btn-info btn-sm" href="/cadastrar-links?action=update&id=<?= $clinic_item['clinic_id'] ?>" data-toggle="tooltip" data-placement="top" title="Links do usuário">
                                                                <i class="fas fa-map-marker-alt"></i>
                                                            </a>
                                                            <a class="btn btn-info btn-sm" href="/cadastrar-unidade?action=update&id=<?= $clinic_item['clinic_id'] ?>" data-toggle="tooltip" data-placement="top" title="Editar">
                                                                <i class="fas fa-pencil-alt"></i>
                                                            </a>
                                                            <a class="btn btn-danger btn-sm " href="/lista-unidades?action=delete&id=<?= $clinic_item['clinic_id'] ?>" data-toggle="tooltip" data-placement="top" title="Excluir" data-button="delete">
                                                                <i class="fas fa-trash"></i>
                                                            </a>
                                                                
                                                            
                                                        </td>
                                                    </tr>
                                                <?php endforeach; ?>

                                            </tbody>
                                        </table>
                                    <?php else: ?>
                                        <div class="alert alert-warning" role="alert">Você não tem unidades cadastradas</div>
                                    <?php endif; ?>


                                </div>
                                <!-- /.card-body -->

                                <div class="card-footer">
                                    <a href="/cadastrar-unidade">
                                        <button class="btn btn-primary">Cadastrar unidade</button>
                                    </a>
                                </div>
                                <!-- /.card-footer-->
                            </div>
                            <!-- /.card -->
                        </div>
                    </div>
                </div>
            </section>


		</div>
		<!-- /.content-wrapper -->

		
			<?php require __DIR__ . '/../../components/admin/default/footer/footer.php'; ?>

		</div> <!-- ./wrapper -->


	<?php require __DIR__ . '/../../components/admin/default/footer/scripts/scripts.php'; ?>


    </body>

</html>
