<?php require __DIR__ . '/../../components/admin/default/header/header.php'; ?>

	<body class="hold-transition sidebar-mini">
		<div class="wrapper">


		<?php require __DIR__ . '/../../components/admin/navbar/navbar.php'; ?>
		<?php require __DIR__ . '/../../components/admin/sidebar/sidebar.php'; ?>

		
		<!-- Content Wrapper. Contains page content -->
		<div class="content-wrapper">
			
			<!-- Content Header (Page header) -->
			<div class="content-header">
				<div class="container-fluid">
					<div class="row mb-2">
						<div class="col-sm-6">
							<h1 class="m-0">Lista de usuários Sua Espera</h1>
						</div><!-- /.col -->
						
					</div><!-- /.row -->
				</div><!-- /.container-fluid -->
			</div>
			<!-- /.content-header -->

		
			<section class="content">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-12">
                        <!-- Default box -->
                            <div class="card">
                                <div class="card-header">
                                    <h3 class="card-title">
                                        
                                    </h3>
                                    <div class="card-tools">
                                        <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
                                            <i class="fas fa-minus"></i>
                                        </button>
                                        <button type="button" class="btn btn-tool" data-card-widget="remove" title="Remove">
                                            <i class="fas fa-times"></i>
                                        </button>
                                    </div>
                                </div>

                                <div class="card-body">

                                    <?php if(isset($doctor_list)): ?>
                                        <table class="table table-striped projects">
                                            <thead>
                                                <tr>
                                                    <th style="width: 1%">#</th>
                                                    <th style="width: 59%">Nome do profissional</th>
                                                    <th style="width: 20%">Especialidade</th>
                                                    <th style="width: 20%"></th>
                                                </tr>
                                            </thead>
                                            <tbody>

                                                <?php foreach($doctor_list as $doctor_item): ?>
                                                    <tr>
                                                        <td>#</td>
                                                        <td><?= $doctor_item['doctor_name'] ?></td>
                                                        <td><?= $doctor_item['doctor_specialty'] ?></td>
                                                        <td class="project-actions text-right">
                                                            
                                                            
                                                            <a class="btn btn-info btn-sm" href="/cadastrar-profissional?action=update&id=<?= $doctor_item['doctor_id'] ?>">
                                                                <i class="fas fa-pencil-alt"></i> Editar
                                                            </a>
                                                            <a class="btn btn-danger btn-sm " href="/lista-profissionais?action=delete&id=<?= $doctor_item['doctor_id'] ?>" data-button="delete">
                                                                <i class="fas fa-trash"></i> Excluir
                                                            </a>
                                                                
                                                            
                                                        </td>
                                                    </tr>
                                                <?php endforeach; ?>


                                            </tbody>
                                        </table>
                                    <?php else: ?>
                                        <div class="alert alert-warning" role="alert">Você não tem profissionais cadastradas</div>
                                    <?php endif; ?>



                                </div>
                                <!-- /.card-body -->

                                <div class="card-footer">
                                    <a href="/cadastrar-profissional">
                                        <button class="btn btn-primary">Cadastrar profissional</button>
                                    </a>
                                </div>
                                <!-- /.card-footer-->
                            </div>
                            <!-- /.card -->
                        </div>
                    </div>
                </div>
            </section>


		</div>
		<!-- /.content-wrapper -->

		
			<?php require __DIR__ . '/../../components/admin/default/footer/footer.php'; ?>

		</div> <!-- ./wrapper -->


	<?php require __DIR__ . '/../../components/admin/default/footer/scripts/scripts.php'; ?>


    </body>

</html>
