<?php require __DIR__ . '/../../components/admin/default/header/header.php'; ?>

	<body class="hold-transition sidebar-mini">
		<div class="wrapper">


		<?php require __DIR__ . '/../../components/admin/navbar/navbar.php'; ?>
		<?php require __DIR__ . '/../../components/admin/sidebar/sidebar.php'; ?>

		
		<!-- Content Wrapper. Contains page content -->
		<div class="content-wrapper">
			
			<!-- Content Header (Page header) -->
			<div class="content-header">
				<div class="container-fluid">
					<div class="row mb-2">
						<div class="col-sm-6">
							<h1 class="m-0">Lista de usuários Sua Espera</h1>
						</div><!-- /.col -->
						
					</div><!-- /.row -->
				</div><!-- /.container-fluid -->
			</div>
			<!-- /.content-header -->

		
			<section class="content">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-12">
                        <!-- Default box -->
                            <div class="card">
                                <div class="card-header">
                                    <h3 class="card-title">
                                        
                                    </h3>
                                    <div class="card-tools">
                                        <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
                                            <i class="fas fa-minus"></i>
                                        </button>
                                        <button type="button" class="btn btn-tool" data-card-widget="remove" title="Remove">
                                            <i class="fas fa-times"></i>
                                        </button>
                                    </div>
                                </div>

                                <div class="card-body">
                                    
                                <?php 
                                
                                if( isset($message_return) ) : 
                                
                                    if($message_return == 1) {
                                        $message_class = 'alert-success';
                                    } elseif($message_return == 2) {
                                        $message_class = 'alert-warning';
                                    }
                                    ?>
                                
                                    <div class="alert <?= $message_class ?> m-3" role="alert"><?= $message_return_text ?></div>
                                    
                                <?php endif; ?>


                                    <table class="table table-striped projects">
                                        <thead>
                                            <tr>
                                                <th style="width: 1%">#</th>
                                                <th style="width: 22%">Nome do usuário</th>
                                                <th style="width: 22%">E-mail</th>
                                                <th style="width: 22%">Whatsapp</th>
                                                <th style="width: 5%">Acesso</th>
                                                <th style="width: 28%"></th>
                                            </tr>
                                        </thead>
                                        <tbody>

                                            <?php foreach($user_list as $user_item): ?>
                                                <tr>
                                                    <td>#</td>
                                                    <td><?= $user_item['name'] ?></td>
                                                    <td><?= $user_item['email'] ?></td>
                                                    <td><?= $user_item['whatsapp'] ?></td>
                                                    <td class="project-state"><span class="badge badge-success">Nível <?= $user_item['access'] ?></span></td>
                                                    <td class="project-actions text-right">
                                                        <a class="btn btn-info btn-sm" href="/inserir-usuario?action=update&id=<?= $user_item['id'] ?>">
                                                            <i class="fas fa-pencil-alt"></i> Editar
                                                        </a>
                                                        <?php if($user_item['id'] != $login_id): ?>
                                                            <a class="btn btn-danger btn-sm " href="/lista-usuarios?action=delete&id=<?= $user_item['id'] ?>" data-button="delete">
                                                                <i class="fas fa-trash"></i> Excluir
                                                            </a>
                                                        <?php endif; ?>
                                                    </td>
                                                </tr>
                                            <?php endforeach; ?>


                                        </tbody>
                                    </table>

                                    
                                    <!-- Modal -->
                                    <div class="modal fade" id="modal-danger" tabindex="-1" aria-labelledby="ModalLabel" aria-hidden="true">
                                        <div class="modal-dialog">
                                            <div class="modal-content bg-danger">
                                                <div class="modal-body">
                                                    Deseja excluir a clínica selecionada?
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cancelar</button>

                                                    <form method="POST">
                                                        <input type="hidden" value="id" name="">
                                                        <input type="hidden" value="delete" name="action">
                                                        <button type="button" class="btn btn-light">Excluir</button>
                                                    </form>
                                                </div>
                                            </div>
                                        </div>
                                    </div>


                                </div>
                                <!-- /.card-body -->

                                <div class="card-footer">
                                    <a href="/inserir-usuario">
                                        <button class="btn btn-primary">Novo usuário</button>
                                    </a>
                                </div>
                                <!-- /.card-footer-->
                            </div>
                            <!-- /.card -->
                        </div>
                    </div>
                </div>
            </section>


		</div>
		<!-- /.content-wrapper -->

		
			<?php require __DIR__ . '/../../components/admin/default/footer/footer.php'; ?>

		</div> <!-- ./wrapper -->


	<?php require __DIR__ . '/../../components/admin/default/footer/scripts/scripts.php'; ?>


    </body>

</html>
