<?php require __DIR__ . '/../../components/admin/default/header/header.php'; ?>

	<body class="hold-transition sidebar-mini">
		<div class="wrapper">


		<?php require __DIR__ . '/../../components/admin/navbar/navbar.php'; ?>
		<?php require __DIR__ . '/../../components/admin/sidebar/sidebar.php'; ?>

		
		<!-- Content Wrapper. Contains page content -->
		<div class="content-wrapper">
			
			<!-- Content Header (Page header) -->
			<div class="content-header">
				<div class="container-fluid">
					<div class="row mb-2">
						<div class="col-sm-6">
							<h1 class="m-0"><?= $page_title ?></h1>
						</div><!-- /.col -->
						
					</div><!-- /.row -->
				</div><!-- /.container-fluid -->
			</div>
			<!-- /.content-header -->


		
			<section class="content">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-12">
                        <!-- Default box -->
                            <form method="POST" data-form-register>
                                <div class="card">
                                    <div class="card-header">

                                        <div class="card-tools">
                                            <button type="button" class="btn btn-tool" data-card-widget="collapse" title="Collapse">
                                                <i class="fas fa-minus"></i>
                                            </button>
                                            <button type="button" class="btn btn-tool" data-card-widget="remove" title="Remove">
                                                <i class="fas fa-times"></i>
                                            </button>
                                        </div>
                                    </div>

                                    <div class="card-body">
                                        
                                    
                                        <fieldset class="mt-4">
                                            <label for="clinicadress_zipcode" class="form-label">CEP</label>
                                            <input type="text" class="form-control" id="clinicadress_zipcode" placeholder="Digite o CEP da clínica" name="clinicadress_zipcode" value="<?= $clinic_list['clinicadress_zipcode'] ?>" data-type="clinicadress_zipcode" required data-input-register>
                                            <p class="text-danger m-0 p-0" data-error></p>
                                        </fieldset>

                                        <fieldset class="mt-4">
                                            <label for="clinicadress_1" class="form-label">Endereço 1</label>
                                            <input type="text" class="form-control" id="clinicadress_1" name="clinicadress_1" placeholder="" value="<?= $clinic_list['clinicadress_1'] ?>" data-type="clinicadress_1" required data-input-register>
                                            <p class="text-danger m-0 p-0" data-error></p>
                                        </fieldset>

                                        <fieldset class="mt-4">
                                            <label for="clinicadress_2" class="form-label">Endereço 2</label>
                                            <input type="text" class="form-control" id="clinicadress_2" name="clinicadress_2" placeholder="" value="<?= $clinic_list['clinicadress_2'] ?>">
                                        </fieldset>

                                        <fieldset class="mt-4">
                                            <label for="clinicadress_number" class="form-label">Número</label>
                                            <input type="text" class="form-control" id="clinicadress_number" name="clinicadress_number" placeholder="" value="<?= $clinic_list['clinicadress_number'] ?>" data-type="clinicadress_number" required data-input-register>
                                            <p class="text-danger m-0 p-0" data-error></p>
                                        </fieldset>

                                        <fieldset class="mt-4">
                                            <label for="clinicadress_complement" class="form-label">Complemento</label>
                                            <input type="text" class="form-control" id="clinicadress_complement" name="clinicadress_complement" placeholder="" value="<?= $clinic_list['clinicadress_complement'] ?>">
                                        </fieldset>

                                        <fieldset class="mt-4">
                                            <label for="clinicadress_district" class="form-label">Bairro</label>
                                            <input type="text" class="form-control" id="clinicadress_district" name="clinicadress_district" value="<?= $clinic_list['clinicadress_district'] ?>" data-type="clinicadress_district" required data-input-register>
                                            <p class="text-danger m-0 p-0" data-error></p>
                                        </fieldset>

                                        <fieldset class="mt-4">
                                            <label for="clinicadress_city" class="form-label">Cidade</label>
                                            <input type="text" class="form-control" id="clinicadress_city" name="clinicadress_city" value="<?= $clinic_list['clinicadress_city'] ?>" data-type="clinicadress_city" required data-input-register>
                                            <p class="text-danger m-0 p-0" data-error></p>
                                        </fieldset>

                                        <fieldset class="mt-4">
                                            <label for="clinicadress_state" class="form-label">Estado</label>
                                            <input type="text" class="form-control" id="clinicadress_state" name="clinicadress_state" value="<?= $clinic_list['clinicadress_state'] ?>" data-type="clinicadress_state" required data-input-register>
                                            <p class="text-danger m-0 p-0" data-error></p>
                                        </fieldset>

                                        <fieldset class="mt-4">
                                            <label for="clinicadress_country" class="form-label">Pais</label>
                                            <input type="text" class="form-control" id="clinicadress_country" name="clinicadress_country" value="<?= $clinic_list['clinicadress_country'] ?>" data-type="clinicadress_country" required data-input-register>
                                            <p class="text-danger m-0 p-0" data-error></p>
                                        </fieldset>


                                    </div>
                                    <!-- /.card-body -->

                                    <div class="card-footer">
                                        <button class="btn btn-primary"><?= $text_button ?></button>
                                        <a href="/lista-unidades" class="btn btn-primary">Voltar</a>
                                    </div>
                                    <!-- /.card-footer-->
                                </div>
                                <!-- /.card -->
                            </form>
                        </div>
                    </div>
                </div>
            </section>


		</div>
		<!-- /.content-wrapper -->

		
			<?php require __DIR__ . '/../../components/admin/default/footer/footer.php'; ?>

		</div> <!-- ./wrapper -->


	<?php require __DIR__ . '/../../components/admin/default/footer/scripts/scripts.php'; ?>


    </body>

</html>
