<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
	
	<!-- Content Header (Page header) -->
	<div class="content-header">
		<div class="container-fluid">
			<div class="row mb-5">
				<div class="col-9">
					<h3>Inserir proposta</h3>
				</div><!-- /.col -->
				
				<div class="col-3 text-right">
					<a href="<?= URL_SITE ?>/propostas/listar"><button class="btn btn-primary">LISTA DE PROPOSTAS</button></a>
				</div><!-- /.col --></a>
                
			</div><!-- /.row -->

			<div class="row">
				<div class="col-8">
					<form>
						<div class="row">
							<div class="form-group col-4">
								<label for="inputCPF">CPF do inquilino</label>
								<input type="text" id="inputCPF" name="" class="form-control" placeholder="000.000.000-00">
								<small id="errorCPFInquilino" class="form-text text-danger">Formato de CPF inválido</small>
							</div>

							<div class="form-group col-8">
								<label for="inputNomeInquilino">Nome do inquilino</label>
								<input type="text" id="inputNomeInquilino" name="" class="form-control" placeholder="Digite o nome do possível inquilino">
								<small id="errorNomeInquilino" class="form-text text-danger">O nome do inquilino parece inválido</small>
							</div>
						</div>

						<div class="row">
							<div class="form-group col-12">
								<label for="inputEmailInquilino">E-mail do inquilino</label>
								<input type="email" id="inputEmailInquilino" name="" class="form-control" placeholder="nome@dominio.com">
								<small id="errorEmailInquilino" class="form-text text-danger">O e-mail do inquilino parece inválido</small>
							</div>
						</div>

						<div class="row">
							<div class="form-group col-12">
								<label for="inputTelefoneInquilino">Whatsapp do inquilino</label>
								<input type="phone" id="inputTelefoneInquilino" name="" class="form-control" placeholder="(11) 95547-5844">
								<small id="errorEmailInquilino" class="form-text text-danger">O whatsapp do inquilino parece inválido</small>
							</div>
						</div>

						<hr>

						<div class="row">
							<div class="form-group col-12">
								<small>Imobiliária</small>
								<h4>Nome da imobiliária</h4>
								<button class="btn btn-secondary">BUSCAR IMOBILIÁRIA</button>
								<!-- Esse botão deve abrir uma lista das imobiliárias cadastradas para seleção -->
								<small id="errorEmailInquilino" class="form-text text-danger">Você precisa selecionar a imobiliária solicitante</small>
							</div>
						</div>

						<hr>

						<div class="row">
							<div class="form-group col-4">
								<label for="inputCPF">CPF do proprietário</label>
								<input type="text" id="inputCPF" name="" class="form-control" placeholder="000.000.000-00">
								<small id="errorCPFInquilino" class="form-text text-danger">Formato de CPF inválido</small>
							</div>

							<div class="form-group col-8">
								<label for="inputNomeInquilino">Nome do proprietário</label>
								<input type="text" id="inputNomeInquilino" name="" class="form-control" placeholder="Digite o nome do proprietário">
								<small id="errorNomeInquilino" class="form-text text-danger">O nome do proprietário parece inválido</small>
							</div>
						</div>


						<hr>


						<div class="row">
							<div class="form-group col-12">
								<small>Responsável na CG</small>
								<h4>Carlos freitas</h4>
								<button class="btn btn-secondary">BUSCAR COLABORADOR</button>
								<!-- Somente o usuário master pode adicionar colabolaroes à propostas -->
								<small id="errorEmailInquilino" class="form-text text-danger">Você precisa selecionar um colaborador que será responsável pela analise proposta</small>
							</div>
						</div>


						<hr>


						<div class="row">
							<div class="form-group col-6">
								<label for="inputNomeInquilino">Alterar Status</label>
								<select class="form-control">
									<option>Em analise</option>
									<option>Aprovado</option>
									<option>Reprovado</option>
								</select>
							</div>
							<div class="col-9"></div>
						</div>


						<hr>


						<div class="row form-group">
							<div class="col-6">
								<label for="inputCEPImovel">CEP</label>
								<input type="text" id="inputCEPImovel" name="" class="form-control" placeholder="00000-000">
								<button class="btn btn-secondary mt-2">BUSCAR ENDEREÇO</button>
								<!-- Somente o usuário master pode adicionar colabolaroes à propostas -->
								<small id="errorEmailInquilino" class="form-text text-danger">O CEP informado parece incorreto</small>
							</div>
						</div>

						<div class="row form-group">
							<div class="col-12">
								<label for="inputLogradouroImovel">Logradouro</label>
								<input type="text" id="inputLogradouroImovel" name="" class="form-control" placeholder="O logradouro parece estar incorreto">
								<small id="errorLogradouro" class="form-text text-danger">O nome do inquilino parece inválido</small>
							</div>
						</div>

						<div class="row form-group">
							<div class="col-4">
								<label for="inputNumeroImovel">Número</label>
								<input type="text" id="inputNumeroImovel" name="" class="form-control" placeholder="445A">
								<small id="errorNumeroImovel" class="form-text text-danger">O Número informado parece incorreto</small>
							</div>

							<div class="col-8">
								<label for="inputComplementoImovel">Complemento</label>
								<input type="text" id="inputComplementoImovel" name="" class="form-control" placeholder="Bloco 6">
							</div>
						</div>


						<div class="row form-group">
							<div class="col-6">
								<label for="inputBairroImovel">Bairro</label>
								<input type="text" id="inputBairroImovel" name="" class="form-control" placeholder="445A">
								<small id="errorBairroImovel" class="form-text text-danger">O Bairro informado parece incorreto</small>
							</div>

							<div class="col-6">
								<label for="inputCidadeImovel">Cidade</label>
								<input type="text" id="inputCidadeImovel" name="" class="form-control" placeholder="São Paulo">
								<small id="errorEstadoImovel" class="form-text text-danger">A cidade informada parece incorreta</small>
							</div>
						</div>

						<div class="row form-group">
							<div class="col-6">
								<label for="inputBairroImovel">Estado</label>
								<input type="text" id="inputEstadoImovel" name="" class="form-control" placeholder="445A">
								<small id="errorEstadoImovel" class="form-text text-danger">O Estado informado parece incorreto</small>
							</div>

							<div class="col-6">
								<label for="inputPaisImovel">Pais</label>
								<input type="text" id="inputPaisImovel" name="" class="form-control" placeholder="Brasil">
								<small id="errorPaisImovel" class="form-text text-danger">O Pais informado parece incorreto</small>
							</div>
						</div>


						<hr>


						<div class="row form-group">
							<div class="col-6">
								<button class="btn btn-primary">CADASTRAR / ALTERAR PROPOSTA</button>
							</div>

						</div>



					</form>

				</div>
                <div class="col-1"></div>
                <div class="col-3">
					<div class="row form-group">
						<div class="col-12">
							<label><small>O contrato está em formato PDF. Baixe o contrato e envie para assinatura atraves do Certisign.</small></label>
							<button class="btn btn-secondary">BAIXAR CONTRATO</button>
						</div>
					</div>

					<div class="row form-group">
						<div class="col-12">
							<label><small>Após a assinatura faça upload da cópia do contrato assinado</small></label>
							<button class="btn btn-secondary">UPLOAD DO CONTRATO</button>
						</div>
					</div>


					<div class="row form-group">
						<div class="col-12">
							<label><small>nome_do_documento.PDF</small></label>
							<button class="btn btn-danger">REMOVER CONTRATO</button>
						</div>
					</div>

				</div>
			</div><!-- /.row -->

			
		</div><!-- /.container-fluid -->
	</div>
	<!-- /.content-header -->


</div>
<!-- /.content-wrapper -->
