<?php require __DIR__ . './../../components/app/header.php'; ?>


<main class="main">

    <section class="main__position">
        <div class="container">

            <div class="mainPosition">
                <div class="mainPosition__info">
                    <h2 class="fonts__text fonts--bold">Olá <?= $patient ?>,</h2>
                    <!-- <h1 class="fonts__textsmall"><?= $message ?></h1> -->
                    <p class="fonts__textsmall mainPosition__title">Horário original: <span class="fonts__textsmall fonts-primary"><?= $consultation ?></span>h</p>
                    <p class="fonts__text fonts--bold mainPosition__title">Horário do seu atendimento atualizado: <span class="fonts__ fonts-primary"><?= $estimedTime ?></span>h</p>
                    <a href="">
                        <button class="inBtn">Atualizar Lista</button>
                    </a>
                </div>
                <div class="mainPosition__position">
                    <div class="mainPosition__spolight">
                        <p class="fonts__title fonts--light fonts--bold"><?= $position; ?></p>
                    </div>
                    <div class="mainPosition__spolightinfo">
                        <p class="fonts__textsmall fonts--center fonts--bold">sua posição<br>na fila</p>
                    </div>
                    <div class="mainPosition__reload">
                        <img src="./assets/images/icon_reload_default.svg" alt="Clique para recarregar">
                    </div>
                    
                </div>
                
            </div>
        </div>
    </section>
    
    <section class="main__info">
        <div class="container">
            <div class="mainInfo">
                <ul class="mainInfo__list">
                    <li class="mainInfo__item">
                        <h3 class="fonts__textsmall fonts--upper fonts--bold">Mensagem do consultório</h3>
                        <p class="fonts__textsmall"><?= $clinic_message ?></p>
                    </li>
                    <li class="mainInfo__item">
                        <h3 class="fonts__textsmall fonts--upper fonts--bold">Local de atendimento</h3>
                        <p class="fonts__textsmall"><?= $clinic; ?></p>
                    </li>
                    <li class="mainInfo__item">
                        <h3 class="fonts__textsmall fonts--upper fonts--bold">Profissional</h3>
                        <p class="fonts__textsmall"><?= $doctor; ?></p>
                    </li>
                </ul>

            </div>
        </div>
    </section>


    <nav class="contactMenu">
        <div class="container">
            <ul class="contactMenu__list">
                <li class="contactMenu__item" target="_blank">
                    <a href="tel:<?= $landline ?>">
                        <div class="contactMenu__button">
                            <img src="./assets/images/icon_phone.svg">
                        </div>
                    </a>
                </li>

                <li class="contactMenu__item" target="_blank">
                    <a href="https://wa.me/<?= $whatsapp ?>?text=">
                        <div class="contactMenu__button">
                            <img src="./assets/images/icon_whatsapp.svg">
                        </div>
                    </a>
                </li>
                <li class="contactMenu__item">
                    
                    <a href="<?= $waze ?>" target="_blank">
                        <div class="contactMenu__button">
                            <img src="./assets/images/icon_waze.svg">
                        </div>
                    </a>
                </li>

                <li class="contactMenu__item">
                    <a href="<?= $googlemaps ?>" target="_blank">
                        <div class="contactMenu__button">
                            <img src="./assets/images/icon_googlemaps.svg">
                        </div>
                    </a>
                </li>
            </ul>

        </div>
    </nav>

</main>


<?php require __DIR__ . './../../components/app/footer.php'; ?>